Skip to main content
GET
List volumes

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

Query Parameters

bootable
boolean

Filter by bootable field

Example:

false

cluster_id
string

Filter volumes by k8s cluster ID

Example:

"t12345"

has_attachments
boolean

Filter by the presence of attachments

Example:

true

id_part
string

Filter the volume list result by the ID part of the volume

Example:

"726ecfcc-7fd0-4e30-a86e-7892524aa483"

instance_id
string<uuid4>

Filter volumes by instance ID

Example:

"169942e0-9b53-42df-95ef-1a8b6525c2bd"

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

name_part
string

Filter volumes by name_part inclusion in volume name.Any substring can be used and volumes will be returned with names containing the substring.

Example:

"test"

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

tag_key
string[]

Optional. Filter by tag keys. ?tag_key=key1&tag_key=key2

Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character. Trailing or leading whitespaces will be stripped.

Required string length: 1 - 255
Pattern: ^[^\s=]+$
Example:
tag_key_value
string

Optional. Filter by tag key-value pairs.

Example:

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
VolumeSerializer · object[]
required

Objects